#include <avr/io.h>


void delay_1s(void)
 {
  outp (0x0B, TCNT1H);         // Timer1 soll beim Wert 3036 starten. 
  outp (0xDC, TCNT1L);         // Bis zum Ueberlauf bei 65536 zaehlt er 
                               // also auf 62500. Dann ist genau eine
                               // Sekunde vorbei bei 4 MHz Takt und
                               // Vorteiler 64.
  outp (0x03, TCCR1B);         // Timer 1 Clock-Vorteiler auf 64 stellen
                               // was gleichzeitig den Timer startet.

  loop_until_bit_is_set(TIFR, TOV1);
  //Hier solange warten, bis das Ueberlauf-Flag TOV1 gesetzt wird.

  outp (0x00, TCCR1B);         // Timer 1 anhalten.
  sbi (TIFR, TOV1);            // TOV1-Flag ruecksetzen
 }



int main(void)
 {
  outp (0xFF,DDRD);    // Port D: Alle Pins sollen Ausgaenge sein.
  outp (0x00,PORTD);   // Alle Pins auf LOW-Pegel setzen

  while(1)
   {
    cbi(PORTD, PD0);   // Bit 0 (PORTD) zuruecksetzen
    delay_1s();

    sbi(PORTD, PD0);   // Bit 0 (PORTD) setzen
    delay_1s();
   }

  return 0;
 }
